MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004881ATutorInstallationpublic2011-10-08 13:322012-07-26 10:00
ReporterIntuitiveNipple 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformApache 2.2, PHP 5.3.2OSUbuntu LinuxOS Version 10.04
Product Version 
Target VersionFixed in Version2.1 
Summary0004881: Installer doesn't check if Javascript is enabled before the account-creation step - passwords are not submitted.
DescriptionIf the web browser does not have Javascript enabled during installation everything can appear to be OK until the account-created step is reached.

At this point, even when the user enters passwords for the Admin and User accounts, the server responds to form submission with "empty password" error messages with no clue that Javascript is required to submit them.
Steps To ReproduceMake a new installation without Javascript enabled on the browser. Enter passwords in the account creation form and POST.
Additional InformationThe pre-requisites step that shows tick-boxes against all requirements should also test for and report Javascript being enabled.

This would be simple to do. Have hard-coded HTML that shows it with the "X" fault icon so that if Javascript is disabled this will show the fault. Have a Javascript function that changes the state of this table row to show the OK tick.
TagsNo tags attached.
Affects version2.0.3
SVN Revision#7e85ff5..158092c atutor_2_0_3-multisite -> atutor_2_0_3-multisite
Attached Files

- Relationships

-  Notes
(0005589)
greg (administrator)
2012-06-12 14:53

added javascript detection to installer
(0005757)
greg (administrator)
2012-07-26 10:00

closed for ATutor 2.1

- Issue History
Date Modified Username Field Change
2011-10-08 13:32 IntuitiveNipple New Issue
2012-06-12 14:53 greg SVN Revision# 333 => 7e85ff5..158092c atutor_2_0_3-multisite -> atutor_2_0_3-multisite
2012-06-12 14:53 greg Note Added: 0005589
2012-06-12 14:53 greg Status new => resolved
2012-06-12 14:53 greg Fixed in Version => 2.1
2012-06-12 14:53 greg Resolution open => fixed
2012-06-12 14:53 greg Assigned To => greg
2012-07-26 10:00 greg Note Added: 0005757
2012-07-26 10:00 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker